using System;
using System.Collections;

class Pers 
{ 
 public string Nom; 
 public int Age; 
 public Pers(string N, int A) {Nom = N; Age = A;} 
 public override string ToString() {return Nom + " (" + Age + ")";}
}

class ComparePers : IComparer
{ 
 public int Compare(object o1, object o2) 
 {  
  Pers op1=(Pers)o1, op2=(Pers)o2;  
  int res = op1.Nom.CompareTo(op2.Nom);  
  if (res == 0) res = op1.Age - op2.Age;  
  return res; 
 }
}

class Prog
{ 
 static void Main() 
 {  
  ArrayList al = new ArrayList();  
  al.Add(new Pers("Prunelle", 35)); 
  al.Add(new Pers("Gaston", 27));  
  al.Add(new Pers("Jeanne", 23));   
  al.Add(new Pers("Demeesmaecker", 27));  
  al.Sort(new ComparePers());  
  foreach (Pers p in al) Console.WriteLine(p); 
 }
}
